#ifndef COUNTRYMANAGEMENT_H
#define COUNTRYMANAGEMENT_H

#include <QDialog>
#include <QLineEdit>
#include <QStandardItemModel>
#include <QTableView>

class DBUnit;

namespace ViewComp {
class CountryManagement : public QDialog {
public:
    CountryManagement(DBUnit* database, QWidget* parent = nullptr);

private:
    DBUnit* const db_host;

    QLineEdit* const keywords_input;
    QTableView* const country_view;
    QStandardItemModel* const country_model;
    QPushButton *const append, *const remove;

    void init_country_model(QStandardItemModel* model);
    void input_query(const QString& keywords);
};

}

#endif // COUNTRYMANAGEMENT_H
